<?xml version="1.0" encoding="UTF-8"?>
<con:soapui-project id="42b972b3-44ee-4f0d-a05c-93721e904e92" activeEnvironment="Default" name="IUA-ValidationService" resourceRoot="" soapui-version="5.5.0" abortOnError="false" runType="SEQUENTIAL" xmlns:con="http://eviware.com/soapui/config">
    <con:settings/>
    <con:interface xsi:type="con:WsdlInterface" id="1b8ba301-24b8-4156-8af3-b0d39d8dd54f" wsaVersion="NONE" name="ModelBasedValidationWSServiceSoapBinding" type="wsdl" bindingName="{http://ws.mb.validator.gazelle.ihe.net}ModelBasedValidationWSServiceSoapBinding" soapVersion="1_1" anonymous="optional" definition="file:/home/fde/workspace/CH-IUA-Validator-Service/validator-service/src/main/resources/mbv/ModelBasedValidationWS.wsdl" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
        <con:settings/>
        <con:definitionCache type="TEXT" rootPart="file:/home/fde/workspace/CH-IUA-Validator-Service/validator-service/src/main/resources/mbv/ModelBasedValidationWS.wsdl">
            <con:part>
                <con:url>file:/home/fde/workspace/CH-IUA-Validator-Service/validator-service/src/main/resources/mbv/ModelBasedValidationWS.wsdl
                </con:url>
                <con:content><![CDATA[<wsdl:definitions name="ModelBasedValidationWSService" targetNamespace="http://ws.mb.validator.gazelle.ihe.net" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:tns="http://ws.mb.validator.gazelle.ihe.net" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:ns1="http://schemas.xmlsoap.org/soap/http">
  <wsdl:types>
    <xs:schema attributeFormDefault="unqualified" elementFormDefault="unqualified" targetNamespace="http://ws.mb.validator.gazelle.ihe.net" xmlns:xs="http://www.w3.org/2001/XMLSchema">
      <xs:element name="about" type="tns:about"/>
      <xs:element name="aboutResponse" type="tns:aboutResponse"/>
      <xs:element name="getListOfValidators" type="tns:getListOfValidators"/>
      <xs:element name="getListOfValidatorsResponse" type="tns:getListOfValidatorsResponse"/>
      <xs:element name="getValidatorsAsString" type="tns:getValidatorsAsString"/>
      <xs:element name="getValidatorsAsStringResponse" type="tns:getValidatorsAsStringResponse"/>
      <xs:element name="validateBase64Document" type="tns:validateBase64Document"/>
      <xs:element name="validateBase64DocumentResponse" type="tns:validateBase64DocumentResponse"/>
      <xs:element name="validateDocument" type="tns:validateDocument"/>
      <xs:element name="validateDocumentResponse" type="tns:validateDocumentResponse"/>
      <xs:complexType name="validateDocument">
        <xs:sequence>
          <xs:element minOccurs="0" name="document" type="xs:string"/>
          <xs:element minOccurs="0" name="validator" type="xs:string"/>
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="validateDocumentResponse">
        <xs:sequence>
          <xs:element minOccurs="0" name="DetailedResult" type="xs:string"/>
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="about">
        <xs:sequence/>
      </xs:complexType>
      <xs:complexType name="aboutResponse">
        <xs:sequence>
          <xs:element minOccurs="0" name="about" type="xs:string"/>
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="getListOfValidators">
        <xs:sequence>
          <xs:element minOccurs="0" name="descriminator" type="xs:string"/>
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="getListOfValidatorsResponse">
        <xs:sequence>
          <xs:element maxOccurs="unbounded" minOccurs="0" name="Validators" type="xs:string"/>
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="validateBase64Document">
        <xs:sequence>
          <xs:element minOccurs="0" name="base64Document" type="xs:string"/>
          <xs:element minOccurs="0" name="validator" type="xs:string"/>
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="validateBase64DocumentResponse">
        <xs:sequence>
          <xs:element minOccurs="0" name="DetailedResult" type="xs:string"/>
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="getValidatorsAsString">
        <xs:sequence/>
      </xs:complexType>
      <xs:complexType name="getValidatorsAsStringResponse">
        <xs:sequence>
          <xs:element minOccurs="0" name="return" type="xs:string"/>
        </xs:sequence>
      </xs:complexType>
      <xs:element name="SOAPException" type="tns:SOAPException"/>
      <xs:complexType name="SOAPException">
        <xs:sequence>
          <xs:element name="message" nillable="true" type="xs:string"/>
        </xs:sequence>
      </xs:complexType>
    </xs:schema>
  </wsdl:types>
  <wsdl:message name="getListOfValidators">
    <wsdl:part element="tns:getListOfValidators" name="parameters"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="validateBase64DocumentResponse">
    <wsdl:part element="tns:validateBase64DocumentResponse" name="parameters"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="validateBase64Document">
    <wsdl:part element="tns:validateBase64Document" name="parameters"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="aboutResponse">
    <wsdl:part element="tns:aboutResponse" name="parameters"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="getListOfValidatorsResponse">
    <wsdl:part element="tns:getListOfValidatorsResponse" name="parameters"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="SOAPException">
    <wsdl:part element="tns:SOAPException" name="SOAPException"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="validateDocumentResponse">
    <wsdl:part element="tns:validateDocumentResponse" name="parameters"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="about">
    <wsdl:part element="tns:about" name="parameters"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="getValidatorsAsStringResponse">
    <wsdl:part element="tns:getValidatorsAsStringResponse" name="parameters"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="getValidatorsAsString">
    <wsdl:part element="tns:getValidatorsAsString" name="parameters"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="validateDocument">
    <wsdl:part element="tns:validateDocument" name="parameters"></wsdl:part>
  </wsdl:message>
  <wsdl:portType name="ModelBasedValidationWS">
    <wsdl:operation name="validateDocument">
      <wsdl:input message="tns:validateDocument" name="validateDocument"></wsdl:input>
      <wsdl:output message="tns:validateDocumentResponse" name="validateDocumentResponse"></wsdl:output>
      <wsdl:fault message="tns:SOAPException" name="SOAPException"></wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="about">
      <wsdl:input message="tns:about" name="about"></wsdl:input>
      <wsdl:output message="tns:aboutResponse" name="aboutResponse"></wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getListOfValidators">
      <wsdl:input message="tns:getListOfValidators" name="getListOfValidators"></wsdl:input>
      <wsdl:output message="tns:getListOfValidatorsResponse" name="getListOfValidatorsResponse"></wsdl:output>
      <wsdl:fault message="tns:SOAPException" name="SOAPException"></wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="validateBase64Document">
      <wsdl:input message="tns:validateBase64Document" name="validateBase64Document"></wsdl:input>
      <wsdl:output message="tns:validateBase64DocumentResponse" name="validateBase64DocumentResponse"></wsdl:output>
      <wsdl:fault message="tns:SOAPException" name="SOAPException"></wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="getValidatorsAsString">
      <wsdl:input message="tns:getValidatorsAsString" name="getValidatorsAsString"></wsdl:input>
      <wsdl:output message="tns:getValidatorsAsStringResponse" name="getValidatorsAsStringResponse"></wsdl:output>
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="ModelBasedValidationWSServiceSoapBinding" type="tns:ModelBasedValidationWS">
    <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
    <wsdl:operation name="validateDocument">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="validateDocument">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="validateDocumentResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="SOAPException">
        <soap:fault name="SOAPException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="about">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="about">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="aboutResponse">
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getListOfValidators">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="getListOfValidators">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="getListOfValidatorsResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="SOAPException">
        <soap:fault name="SOAPException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="getValidatorsAsString">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="getValidatorsAsString">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="getValidatorsAsStringResponse">
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="validateBase64Document">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="validateBase64Document">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="validateBase64DocumentResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="SOAPException">
        <soap:fault name="SOAPException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="ModelBasedValidationWSService">
    <wsdl:port binding="tns:ModelBasedValidationWSServiceSoapBinding" name="ModelBasedValidationWSPort">
      <soap:address location="https://gazelle.ihe.net/HPDSimulator-ejb/ModelBasedValidationWSService/ModelBasedValidationWS"/>
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>]]></con:content>
                <con:type>http://schemas.xmlsoap.org/wsdl/</con:type>
            </con:part>
        </con:definitionCache>
        <con:endpoints>
            <con:endpoint>https://gazelle.ihe.net/HPDSimulator-ejb/ModelBasedValidationWSService/ModelBasedValidationWS</con:endpoint>
        </con:endpoints>
        <con:operation id="5559992d-6241-4e9a-8cb9-180331fc2b1c" isOneWay="false" action="" name="about" bindingOperationName="about" type="Request-Response" outputName="aboutResponse" inputName="about" receivesAttachments="false" sendsAttachments="false" anonymous="optional">
            <con:settings/>
            <con:call id="71d5baf9-4b6f-4147-8398-8264712e94e7" name="Request 1">
                <con:settings>
                    <con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting>
                </con:settings>
                <con:encoding>UTF-8</con:encoding>
                <con:endpoint>${#Project#domain}/chiua-validator-service/ModelBasedValidationWSImpl?wsdl</con:endpoint>
                <con:request><![CDATA[<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ws="http://ws.mb.validator.gazelle.ihe.net">
   <soapenv:Header/>
   <soapenv:Body>
      <ws:about/>
   </soapenv:Body>
</soapenv:Envelope>]]></con:request>
                <con:credentials>
                    <con:authType>No Authorization</con:authType>
                </con:credentials>
                <con:jmsConfig JMSDeliveryMode="PERSISTENT"/>
                <con:jmsPropertyConfig/>
                <con:wsaConfig mustUnderstand="NONE" version="200508" action="http://ws.mb.validator.gazelle.ihe.net/ModelBasedValidationWS/about"/>
                <con:wsrmConfig version="1.2"/>
            </con:call>
        </con:operation>
        <con:operation id="2dbf727b-8824-4cc1-9b5d-186d2d34b103" isOneWay="false" action="" name="getListOfValidators" bindingOperationName="getListOfValidators" type="Request-Response" outputName="getListOfValidatorsResponse" inputName="getListOfValidators" receivesAttachments="false" sendsAttachments="false" anonymous="optional">
            <con:settings/>
            <con:call id="b38db34d-7b79-4332-acf2-d26652662c59" name="Request 1">
                <con:settings>
                    <con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting>
                </con:settings>
                <con:encoding>UTF-8</con:encoding>
                <con:endpoint>${#Project#domain}/chiua-validator-service/ModelBasedValidationWSImpl?wsdl</con:endpoint>
                <con:request><![CDATA[<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ws="http://ws.mb.validator.gazelle.ihe.net">
   <soapenv:Header/>
   <soapenv:Body>
      <ws:getListOfValidators>
         <!--Optional:-->
         <descriminator>?</descriminator>
      </ws:getListOfValidators>
   </soapenv:Body>
</soapenv:Envelope>]]></con:request>
                <con:credentials>
                    <con:authType>No Authorization</con:authType>
                </con:credentials>
                <con:jmsConfig JMSDeliveryMode="PERSISTENT"/>
                <con:jmsPropertyConfig/>
                <con:wsaConfig mustUnderstand="NONE" version="200508" action="http://ws.mb.validator.gazelle.ihe.net/ModelBasedValidationWS/getListOfValidators"/>
                <con:wsrmConfig version="1.2"/>
            </con:call>
        </con:operation>
        <con:operation id="7adca7fa-4cf8-4b50-8cf5-1a6317e4eeeb" isOneWay="false" action="" name="getValidatorsAsString" bindingOperationName="getValidatorsAsString" type="Request-Response" outputName="getValidatorsAsStringResponse" inputName="getValidatorsAsString" receivesAttachments="false" sendsAttachments="false" anonymous="optional">
            <con:settings/>
            <con:call id="5c979bd9-eddf-42ea-a03b-c6fae20eff90" name="Request 1">
                <con:settings>
                    <con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting>
                </con:settings>
                <con:encoding>UTF-8</con:encoding>
                <con:endpoint>${#Project#domain}/chiua-validator-service/ModelBasedValidationWSImpl?wsdl</con:endpoint>
                <con:request><![CDATA[<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ws="http://ws.mb.validator.gazelle.ihe.net">
   <soapenv:Header/>
   <soapenv:Body>
      <ws:getValidatorsAsString/>
   </soapenv:Body>
</soapenv:Envelope>]]></con:request>
                <con:credentials>
                    <con:authType>No Authorization</con:authType>
                </con:credentials>
                <con:jmsConfig JMSDeliveryMode="PERSISTENT"/>
                <con:jmsPropertyConfig/>
                <con:wsaConfig mustUnderstand="NONE" version="200508" action="http://ws.mb.validator.gazelle.ihe.net/ModelBasedValidationWS/getValidatorsAsString"/>
                <con:wsrmConfig version="1.2"/>
            </con:call>
        </con:operation>
        <con:operation id="57844418-d693-4a1f-8ca8-63ad71da0c95" isOneWay="false" action="" name="validateBase64Document" bindingOperationName="validateBase64Document" type="Request-Response" outputName="validateBase64DocumentResponse" inputName="validateBase64Document" receivesAttachments="false" sendsAttachments="false" anonymous="optional">
            <con:settings/>
            <con:call id="7f402436-655f-4d50-b97c-4516481a6966" name="Request 1">
                <con:settings>
                    <con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting>
                </con:settings>
                <con:encoding>UTF-8</con:encoding>
                <con:endpoint>${#Project#domain}/chiua-validator-service/ModelBasedValidationWSImpl?wsdl</con:endpoint>
                <con:request><![CDATA[<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ws="http://ws.mb.validator.gazelle.ihe.net">
   <soapenv:Header/>
   <soapenv:Body>
      <ws:validateBase64Document>
         <!--Optional:-->
         <base64Document>?</base64Document>
         <!--Optional:-->
         <validator>?</validator>
      </ws:validateBase64Document>
   </soapenv:Body>
</soapenv:Envelope>]]></con:request>
                <con:credentials>
                    <con:authType>No Authorization</con:authType>
                </con:credentials>
                <con:jmsConfig JMSDeliveryMode="PERSISTENT"/>
                <con:jmsPropertyConfig/>
                <con:wsaConfig mustUnderstand="NONE" version="200508" action="http://ws.mb.validator.gazelle.ihe.net/ModelBasedValidationWS/validateBase64Document"/>
                <con:wsrmConfig version="1.2"/>
            </con:call>
        </con:operation>
        <con:operation id="f22856dc-2f53-40cb-ab5e-7bbcc00a1934" isOneWay="false" action="" name="validateDocument" bindingOperationName="validateDocument" type="Request-Response" outputName="validateDocumentResponse" inputName="validateDocument" receivesAttachments="false" sendsAttachments="false" anonymous="optional">
            <con:settings/>
            <con:call id="f8503c11-7a70-4aca-b72c-a432cc3bbf76" name="Request 1">
                <con:settings>
                    <con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting>
                </con:settings>
                <con:encoding>UTF-8</con:encoding>
                <con:endpoint>${#Project#domain}/chiua-validator-service/ModelBasedValidationWSImpl?wsdl</con:endpoint>
                <con:request><![CDATA[<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ws="http://ws.mb.validator.gazelle.ihe.net">
   <soapenv:Header/>
   <soapenv:Body>
      <ws:validateDocument>
         <!--Optional:-->
         <document>?</document>
         <!--Optional:-->
         <validator>?</validator>
      </ws:validateDocument>
   </soapenv:Body>
</soapenv:Envelope>]]></con:request>
                <con:credentials>
                    <con:authType>No Authorization</con:authType>
                </con:credentials>
                <con:jmsConfig JMSDeliveryMode="PERSISTENT"/>
                <con:jmsPropertyConfig/>
                <con:wsaConfig mustUnderstand="NONE" version="200508" action="http://ws.mb.validator.gazelle.ihe.net/ModelBasedValidationWS/validateDocument"/>
                <con:wsrmConfig version="1.2"/>
            </con:call>
        </con:operation>
    </con:interface>
    <con:testSuite id="8c957568-2cf8-4967-a17b-ae8f024c8c0e" name="ModelBasedValidationWSServiceSoapBinding TestSuite">
        <con:settings/>
        <con:runType>SEQUENTIAL</con:runType>
        <con:testCase id="2013bf41-4071-4c83-8aef-8bfb364f34c9" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="about TestCase" searchProperties="true">
            <con:settings/>
            <con:testStep type="request" id="527ebf51-ad29-40d8-b83c-3068cc2cf89f" name="about">
                <con:settings/>
                <con:config xsi:type="con:RequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
                    <con:interface>ModelBasedValidationWSServiceSoapBinding</con:interface>
                    <con:operation>about</con:operation>
                    <con:request name="about" outgoingWss="" incomingWss="" timeout="" sslKeystore="" useWsAddressing="false" useWsReliableMessaging="false" wssPasswordType="" id="77ad48b6-dfaf-4b3d-99a6-673b1b43a799">
                        <con:settings>
                            <con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting>
                        </con:settings>
                        <con:encoding>UTF-8</con:encoding>
                        <con:endpoint>${#Project#domain}/chiua-validator-service/ModelBasedValidationWSImpl?wsdl</con:endpoint>
                        <con:request><![CDATA[<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ws="http://ws.mb.validator.gazelle.ihe.net">
   <soapenv:Header/>
   <soapenv:Body>
      <ws:about/>
   </soapenv:Body>
</soapenv:Envelope>]]></con:request>
                        <con:assertion type="SOAP Fault Assertion" id="5e83251f-bc8e-46de-b9b3-cfcbc16ef0d6" name="Not SOAP Fault"/>
                        <con:assertion type="XPath Match" id="e9439e53-7931-43d4-a9cf-4d4cb6371e1d" name="XPath Match">
                            <con:configuration>
                                <path>declare namespace soap='http://schemas.xmlsoap.org/soap/envelope/';
                                    declare namespace ns2='http://ws.mb.validator.gazelle.ihe.net';
                                    //ns2:aboutResponse/about
                                </path>
                                <content>Gazelle test bed about validator</content>
                                <allowWildcards>false</allowWildcards>
                                <ignoreNamspaceDifferences>false</ignoreNamspaceDifferences>
                                <ignoreComments>false</ignoreComments>
                            </con:configuration>
                        </con:assertion>
                        <con:credentials>
                            <con:authType>No Authorization</con:authType>
                        </con:credentials>
                        <con:jmsConfig JMSDeliveryMode="PERSISTENT"/>
                        <con:jmsPropertyConfig/>
                        <con:wsaConfig mustUnderstand="NONE" version="200508" action="http://ws.mb.validator.gazelle.ihe.net/ModelBasedValidationWS/about"/>
                        <con:wsrmConfig version="1.2"/>
                    </con:request>
                </con:config>
            </con:testStep>
            <con:properties/>
        </con:testCase>
        <con:testCase id="1f86b8fb-93e1-43a0-ae24-1baead9a6f26" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="getListOfValidators TestCase" searchProperties="true">
            <con:settings/>
            <con:testStep type="request" id="b7aaba0f-773f-4b6f-81d9-5b97944dabd9" name="getListOfValidators">
                <con:settings/>
                <con:config xsi:type="con:RequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
                    <con:interface>ModelBasedValidationWSServiceSoapBinding</con:interface>
                    <con:operation>getListOfValidators</con:operation>
                    <con:request name="getListOfValidators" outgoingWss="" incomingWss="" timeout="" sslKeystore="" useWsAddressing="false" useWsReliableMessaging="false" wssPasswordType="" id="d375fd3c-8666-4089-b93f-95fc47d1f2bf">
                        <con:settings>
                            <con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting>
                        </con:settings>
                        <con:encoding>UTF-8</con:encoding>
                        <con:endpoint>${#Project#domain}/chiua-validator-service/ModelBasedValidationWSImpl?wsdl</con:endpoint>
                        <con:request><![CDATA[<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ws="http://ws.mb.validator.gazelle.ihe.net">
   <soapenv:Header/>
   <soapenv:Body>
      <ws:getListOfValidators>
         <!--Optional:-->
         <descriminator>?</descriminator>
      </ws:getListOfValidators>
   </soapenv:Body>
</soapenv:Envelope>]]></con:request>
                        <con:assertion type="XPath Match" id="ae7d5166-6688-4cac-b8dd-ad228c6af693" name="XPath Match">
                            <con:configuration>
                                <path>declare namespace soap='http://schemas.xmlsoap.org/soap/envelope/';
                                    declare namespace ns2='http://ws.mb.validator.gazelle.ihe.net';
                                    //ns2:getListOfValidatorsResponse
                                </path>
                                <content>&lt;ns2:getListOfValidatorsResponse xmlns:ns2="http://ws.mb.validator.gazelle.ihe.net">
                                    &lt;Validators>[CH:IUA]-JWT Token Validator&lt;/Validators>
                                    &lt;/ns2:getListOfValidatorsResponse>
                                </content>
                                <allowWildcards>false</allowWildcards>
                                <ignoreNamspaceDifferences>false</ignoreNamspaceDifferences>
                                <ignoreComments>false</ignoreComments>
                            </con:configuration>
                        </con:assertion>
                        <con:assertion type="SOAP Fault Assertion" id="6cc883da-3cee-46fa-8a36-196aa775e30d" name="Not SOAP Fault"/>
                        <con:credentials>
                            <con:authType>No Authorization</con:authType>
                        </con:credentials>
                        <con:jmsConfig JMSDeliveryMode="PERSISTENT"/>
                        <con:jmsPropertyConfig/>
                        <con:wsaConfig mustUnderstand="NONE" version="200508" action="http://ws.mb.validator.gazelle.ihe.net/ModelBasedValidationWS/getListOfValidators"/>
                        <con:wsrmConfig version="1.2"/>
                    </con:request>
                </con:config>
            </con:testStep>
            <con:properties/>
        </con:testCase>
        <con:testCase id="9a9d2465-2494-4f66-97e2-7d7b4e8647d1" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="getValidatorsAsString TestCase" searchProperties="true">
            <con:settings/>
            <con:testStep type="request" id="675e67c9-7408-41be-8da6-7c2f6f7baa70" name="getValidatorsAsString">
                <con:settings/>
                <con:config xsi:type="con:RequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
                    <con:interface>ModelBasedValidationWSServiceSoapBinding</con:interface>
                    <con:operation>getValidatorsAsString</con:operation>
                    <con:request name="getValidatorsAsString" outgoingWss="" incomingWss="" timeout="" sslKeystore="" useWsAddressing="false" useWsReliableMessaging="false" wssPasswordType="" id="17270bca-0764-406c-9da9-0f349f724457">
                        <con:settings>
                            <con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting>
                        </con:settings>
                        <con:encoding>UTF-8</con:encoding>
                        <con:endpoint>${#Project#domain}/chiua-validator-service/ModelBasedValidationWSImpl?wsdl</con:endpoint>
                        <con:request><![CDATA[<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ws="http://ws.mb.validator.gazelle.ihe.net">
   <soapenv:Header/>
   <soapenv:Body>
      <ws:getValidatorsAsString/>
   </soapenv:Body>
</soapenv:Envelope>]]></con:request>

                        <con:assertion type="Not SOAP Fault Assertion" id="fbce307d-c851-42c8-bdc3-eee20d9f6d9c" name="SOAP Fault"/>
                        <con:credentials>
                            <con:authType>No Authorization</con:authType>
                        </con:credentials>
                        <con:jmsConfig JMSDeliveryMode="PERSISTENT"/>
                        <con:jmsPropertyConfig/>
                        <con:wsaConfig mustUnderstand="NONE" version="200508" action="http://ws.mb.validator.gazelle.ihe.net/ModelBasedValidationWS/getValidatorsAsString"/>
                        <con:wsrmConfig version="1.2"/>
                    </con:request>
                </con:config>
            </con:testStep>
            <con:properties/>
        </con:testCase>
        <con:testCase id="45c7d7f1-6f4b-417d-8404-739769e179ff" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="validateBase64Document TestCase" searchProperties="true">
            <con:settings/>
            <con:testStep type="request" id="3c47be8d-80d6-4538-a6ce-a53d4a308b02" name="validateBase64Document">
                <con:settings/>
                <con:config xsi:type="con:RequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
                    <con:interface>ModelBasedValidationWSServiceSoapBinding</con:interface>
                    <con:operation>validateBase64Document</con:operation>
                    <con:request name="validateBase64Document" outgoingWss="" incomingWss="" timeout="" sslKeystore="" useWsAddressing="false" useWsReliableMessaging="false" wssPasswordType="" id="c390b24d-d7c7-4895-b53f-311c1a699c29">
                        <con:settings>
                            <con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting>
                        </con:settings>
                        <con:encoding>UTF-8</con:encoding>
                        <con:endpoint>${#Project#domain}/chiua-validator-service/ModelBasedValidationWSImpl?wsdl</con:endpoint>
                        <con:request><![CDATA[<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ws="http://ws.mb.validator.gazelle.ihe.net">
   <soapenv:Header/>
   <soapenv:Body>
      <ws:validateBase64Document>
         <base64Document>VGFydGUgYXV4IHBvbW1lcwphdWRpZW5jZQ==</base64Document>
         <validator>[CH:IUA]-JWT Token Validator</validator>
      </ws:validateBase64Document>
   </soapenv:Body>
</soapenv:Envelope>]]></con:request>
                        <con:assertion type="SOAP Fault Assertion" id="bc53a33d-2ae7-457f-bdff-d5291c376947" name="Not SOAP Fault"/>
                        <con:assertion type="XPath Match" id="e0446fbc-8138-43e0-8c31-e8a42887e508" name="XPath Match" disabled="true">
                            <con:configuration>
                                <path>declare namespace soap='http://schemas.xmlsoap.org/soap/envelope/';
                                    declare namespace ns2='http://ws.mb.validator.gazelle.ihe.net';
                                    //ns2:validateBase64DocumentResponse/DetailedResult/ValidationTestResult
                                </path>
                                <content>UNDEFINED</content>
                                <allowWildcards>false</allowWildcards>
                                <ignoreNamspaceDifferences>false</ignoreNamspaceDifferences>
                                <ignoreComments>false</ignoreComments>
                            </con:configuration>
                        </con:assertion>
                        <con:credentials>
                            <con:authType>No Authorization</con:authType>
                        </con:credentials>
                        <con:jmsConfig JMSDeliveryMode="PERSISTENT"/>
                        <con:jmsPropertyConfig/>
                        <con:wsaConfig mustUnderstand="NONE" version="200508" action="http://ws.mb.validator.gazelle.ihe.net/ModelBasedValidationWS/validateBase64Document"/>
                        <con:wsrmConfig version="1.2"/>
                    </con:request>
                </con:config>
            </con:testStep>
            <con:testStep type="request" id="5ef0093b-cdbb-4a7b-8d18-1acda81a0e37" name="validateBase64DocumentwithoutValidator">
                <con:settings/>
                <con:config xsi:type="con:RequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
                    <con:interface>ModelBasedValidationWSServiceSoapBinding</con:interface>
                    <con:operation>validateBase64Document</con:operation>
                    <con:request name="validateBase64DocumentwithoutValidator" outgoingWss="" incomingWss="" timeout="" sslKeystore="" useWsAddressing="false" useWsReliableMessaging="false" wssPasswordType="" id="c390b24d-d7c7-4895-b53f-311c1a699c29">
                        <con:settings>
                            <con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting>
                        </con:settings>
                        <con:encoding>UTF-8</con:encoding>
                        <con:endpoint>${#Project#domain}/chiua-validator-service/ModelBasedValidationWSImpl?wsdl</con:endpoint>
                        <con:request><![CDATA[<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ws="http://ws.mb.validator.gazelle.ihe.net">
   <soapenv:Header/>
   <soapenv:Body>
      <ws:validateBase64Document>
         <!--Optional:-->
         <base64Document>VGFydGUgYXV4IHBvbW1lcw==</base64Document>
         <!--Optional:-->
         <validator></validator>
      </ws:validateBase64Document>
   </soapenv:Body>
</soapenv:Envelope>]]></con:request>
                        <con:assertion type="XPath Match" id="e0446fbc-8138-43e0-8c31-e8a42887e508" name="XPath Match">
                            <con:configuration>
                                <path>declare namespace soap='http://schemas.xmlsoap.org/soap/envelope/';
                                    //soap:Fault/faultstring
                                </path>
                                <content>The Validator is null or empty and should not</content>
                                <allowWildcards>false</allowWildcards>
                                <ignoreNamspaceDifferences>false</ignoreNamspaceDifferences>
                                <ignoreComments>false</ignoreComments>
                            </con:configuration>
                        </con:assertion>
                        <con:assertion type="Not SOAP Fault Assertion" id="f8ceedb8-22d7-4cc1-8741-861247821b18" name="SOAP Fault"/>
                        <con:credentials>
                            <con:authType>No Authorization</con:authType>
                        </con:credentials>
                        <con:jmsConfig JMSDeliveryMode="PERSISTENT"/>
                        <con:jmsPropertyConfig/>
                        <con:wsaConfig mustUnderstand="NONE" version="200508" action="http://ws.mb.validator.gazelle.ihe.net/ModelBasedValidationWS/validateBase64Document"/>
                        <con:wsrmConfig version="1.2"/>
                    </con:request>
                </con:config>
            </con:testStep>
            <con:testStep type="request" id="4520364d-19e4-4117-a73a-61944ae10e4a" name="validateBase64DocumentwithoutDocument">
                <con:settings/>
                <con:config xsi:type="con:RequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
                    <con:interface>ModelBasedValidationWSServiceSoapBinding</con:interface>
                    <con:operation>validateBase64Document</con:operation>
                    <con:request name="validateBase64DocumentwithoutDocument" outgoingWss="" incomingWss="" timeout="" sslKeystore="" useWsAddressing="false" useWsReliableMessaging="false" wssPasswordType="" id="c390b24d-d7c7-4895-b53f-311c1a699c29">
                        <con:settings>
                            <con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting>
                        </con:settings>
                        <con:encoding>UTF-8</con:encoding>
                        <con:endpoint>${#Project#domain}/chiua-validator-service/ModelBasedValidationWSImpl?wsdl</con:endpoint>
                        <con:request><![CDATA[<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ws="http://ws.mb.validator.gazelle.ihe.net">
   <soapenv:Header/>
   <soapenv:Body>
      <ws:validateBase64Document>
         <base64Document></base64Document>
         <validator>[CH:IUA]-JWT Token Validator</validator>
      </ws:validateBase64Document>
   </soapenv:Body>
</soapenv:Envelope>]]></con:request>
                        <con:assertion type="XPath Match" id="e0446fbc-8138-43e0-8c31-e8a42887e508" name="XPath Match">
                            <con:configuration>
                                <path>declare namespace soap='http://schemas.xmlsoap.org/soap/envelope/';
                                    //soap:Fault/faultstring
                                </path>
                                <content>The Document to validate is null or empty and should not</content>
                                <allowWildcards>false</allowWildcards>
                                <ignoreNamspaceDifferences>false</ignoreNamspaceDifferences>
                                <ignoreComments>false</ignoreComments>
                            </con:configuration>
                        </con:assertion>
                        <con:assertion type="Not SOAP Fault Assertion" id="f8ceedb8-22d7-4cc1-8741-861247821b18" name="SOAP Fault"/>
                        <con:credentials>
                            <con:authType>No Authorization</con:authType>
                        </con:credentials>
                        <con:jmsConfig JMSDeliveryMode="PERSISTENT"/>
                        <con:jmsPropertyConfig/>
                        <con:wsaConfig mustUnderstand="NONE" version="200508" action="http://ws.mb.validator.gazelle.ihe.net/ModelBasedValidationWS/validateBase64Document"/>
                        <con:wsrmConfig version="1.2"/>
                    </con:request>
                </con:config>
            </con:testStep>
            <con:testStep type="request" id="670b859d-a2d4-409b-a172-5f9d1b89e366" name="validateBase64DocumentUnknownValidator">
                <con:settings/>
                <con:config xsi:type="con:RequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
                    <con:interface>ModelBasedValidationWSServiceSoapBinding</con:interface>
                    <con:operation>validateBase64Document</con:operation>
                    <con:request name="validateBase64DocumentUnknownValidator" outgoingWss="" incomingWss="" timeout="" sslKeystore="" useWsAddressing="false" useWsReliableMessaging="false" wssPasswordType="" id="c390b24d-d7c7-4895-b53f-311c1a699c29">
                        <con:settings>
                            <con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting>
                        </con:settings>
                        <con:encoding>UTF-8</con:encoding>
                        <con:endpoint>${#Project#domain}/chiua-validator-service/ModelBasedValidationWSImpl?wsdl</con:endpoint>
                        <con:request><![CDATA[<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ws="http://ws.mb.validator.gazelle.ihe.net">
   <soapenv:Header/>
   <soapenv:Body>
      <ws:validateBase64Document>
         <!--Optional:-->
         <base64Document>VGFydGUgYXV4IHBvbW1lcw==</base64Document>
         <!--Optional:-->
         <validator>Tartes aux fameuses pommes</validator>
      </ws:validateBase64Document>
   </soapenv:Body>
</soapenv:Envelope>]]></con:request>
                        <con:assertion type="XPath Match" id="e0446fbc-8138-43e0-8c31-e8a42887e508" name="XPath Match">
                            <con:configuration>
                                <path>declare namespace soap='http://schemas.xmlsoap.org/soap/envelope/';
                                    //soap:Fault/faultstring
                                </path>
                                <content>Unknown validator Tartes aux fameuses pommes</content>
                                <allowWildcards>false</allowWildcards>
                                <ignoreNamspaceDifferences>false</ignoreNamspaceDifferences>
                                <ignoreComments>false</ignoreComments>
                            </con:configuration>
                        </con:assertion>
                        <con:assertion type="Not SOAP Fault Assertion" id="f8ceedb8-22d7-4cc1-8741-861247821b18" name="SOAP Fault"/>
                        <con:credentials>
                            <con:authType>No Authorization</con:authType>
                        </con:credentials>
                        <con:jmsConfig JMSDeliveryMode="PERSISTENT"/>
                        <con:jmsPropertyConfig/>
                        <con:wsaConfig mustUnderstand="NONE" version="200508" action="http://ws.mb.validator.gazelle.ihe.net/ModelBasedValidationWS/validateBase64Document"/>
                        <con:wsrmConfig version="1.2"/>
                    </con:request>
                </con:config>
            </con:testStep>
            <con:properties/>
        </con:testCase>
        <con:testCase id="1eeb6e33-1bc7-4f84-98ee-e20ef8b6adeb" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="validateDocument TestCase" searchProperties="true">
            <con:settings/>
            <con:testStep type="request" id="38b201b7-ea4f-4153-a309-13687f39c033" name="validateDocument">
                <con:settings/>
                <con:config xsi:type="con:RequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
                    <con:interface>ModelBasedValidationWSServiceSoapBinding</con:interface>
                    <con:operation>validateDocument</con:operation>
                    <con:request name="validateDocument" outgoingWss="" incomingWss="" timeout="" sslKeystore="" useWsAddressing="false" useWsReliableMessaging="false" wssPasswordType="" id="bfeb4224-6449-4b99-9918-e67ce364940d">
                        <con:settings>
                            <con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting>
                        </con:settings>
                        <con:encoding>UTF-8</con:encoding>
                        <con:endpoint>${#Project#domain}/chiua-validator-service/ModelBasedValidationWSImpl?wsdl</con:endpoint>
                        <con:request><![CDATA[<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ws="http://ws.mb.validator.gazelle.ihe.net">
   <soapenv:Header/>
   <soapenv:Body>
      <ws:validateDocument>
         <!--Optional:-->
         <document>Tarte aux pommes
audience</document>
         <!--Optional:-->
         <validator>[CH:IUA]-JWT Token Validator</validator>
      </ws:validateDocument>
   </soapenv:Body>
</soapenv:Envelope>]]></con:request>
                        <con:assertion type="SOAP Fault Assertion" id="0205d522-5860-4e0a-befb-9d028a26d97f" name="Not SOAP Fault"/>
                        <con:assertion type="XPath Match" id="10517b4d-09ea-40b0-a664-debebc7946d3" name="XPath Match" disabled="true">
                            <con:configuration>
                                <path>declare namespace soap='http://schemas.xmlsoap.org/soap/envelope/';
                                    declare namespace ns2='http://ws.mb.validator.gazelle.ihe.net';
                                    //ns2:validateDocumentResponse/DetailedResult
                                </path>
                                <content><![CDATA[
                                    <detailedResult><DocumentValidXSD><Result>PASSED</Result></DocumentValidXSD><DocumentWellFormed><Result>PASSED</Result></DocumentWellFormed><MDAValidation><Note><Test>rmim026</Test><Location>/ClinicalDocument</Location><Description>if regionOfInterest is target of a renderMultimedia then it shall have exactly one ObservationMedia and not an ExternalObservation (RMIM-026)</Description><Identifiant>cdabasic-ClinicalDocumentSpec-rmim026</Identifiant><assertion idScheme=RMIM assertionId=RMIM-026/><Type>Context</Type></Note><Note><Test>test_IDs</Test><Location>/ClinicalDocument</Location><Description>Success: Found all IDs referenced</Description></Note>Result>PASSED</Result></MDAValidation><ValidationResultsOverview><ValidationDate>2020, 07 26</ValidationDate><ValidationTime>10:02:35</ValidationTime><ValidationServiceName>HL7 - CDA Release 2 (strict)</ValidationServiceName><ValidationEngine>Gazelle CDA Validation</ValidationEngine><ValidationTestResult>PASSED</ValidationTestResult><ValidationServiceVersion>N/A</ValidationServiceVersion><ValidationEngineVersion>2.2.2</ValidationEngineVersion></ValidationResultsOverview></detailedResult>]]></content>
                                <allowWildcards>false</allowWildcards>
                                <ignoreNamspaceDifferences>false</ignoreNamspaceDifferences>
                                <ignoreComments>false</ignoreComments>
                            </con:configuration>
                        </con:assertion>
                        <con:credentials>
                            <con:authType>No Authorization</con:authType>
                        </con:credentials>
                        <con:jmsConfig JMSDeliveryMode="PERSISTENT"/>
                        <con:jmsPropertyConfig/>
                        <con:wsaConfig mustUnderstand="NONE" version="200508" action="http://ws.mb.validator.gazelle.ihe.net/ModelBasedValidationWS/validateDocument"/>
                        <con:wsrmConfig version="1.2"/>
                    </con:request>
                </con:config>
            </con:testStep>
            <con:testStep type="request" id="13a79bda-1181-46cf-beb2-73eb31e34924" name="validateDocumentwithoutValidator">
                <con:settings/>
                <con:config xsi:type="con:RequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
                    <con:interface>ModelBasedValidationWSServiceSoapBinding</con:interface>
                    <con:operation>validateDocument</con:operation>
                    <con:request name="validateDocumentwithoutValidator" outgoingWss="" incomingWss="" timeout="" sslKeystore="" useWsAddressing="false" useWsReliableMessaging="false" wssPasswordType="" id="bfeb4224-6449-4b99-9918-e67ce364940d">
                        <con:settings>
                            <con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting>
                        </con:settings>
                        <con:encoding>UTF-8</con:encoding>
                        <con:endpoint>${#Project#domain}/chiua-validator-service/ModelBasedValidationWSImpl?wsdl</con:endpoint>
                        <con:request><![CDATA[<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ws="http://ws.mb.validator.gazelle.ihe.net">
   <soapenv:Header/>
   <soapenv:Body>
      <ws:validateDocument>
         <!--Optional:-->
         <document>Tarte aux pommes
audience</document>
         <!--Optional:-->
         <validator></validator>
      </ws:validateDocument>
   </soapenv:Body>
</soapenv:Envelope>]]></con:request>
                        <con:assertion type="XPath Match" id="10517b4d-09ea-40b0-a664-debebc7946d3" name="XPath Match">
                            <con:configuration>
                                <path>declare namespace soap='http://schemas.xmlsoap.org/soap/envelope/';
                                    //soap:Fault/faultstring
                                </path>
                                <content>The Validator is null or empty and should not</content>
                                <allowWildcards>false</allowWildcards>
                                <ignoreNamspaceDifferences>false</ignoreNamspaceDifferences>
                                <ignoreComments>false</ignoreComments>
                            </con:configuration>
                        </con:assertion>
                        <con:assertion type="Not SOAP Fault Assertion" id="7dc8e744-c794-4a28-91a8-fa8613e82cd0" name="SOAP Fault"/>
                        <con:credentials>
                            <con:authType>No Authorization</con:authType>
                        </con:credentials>
                        <con:jmsConfig JMSDeliveryMode="PERSISTENT"/>
                        <con:jmsPropertyConfig/>
                        <con:wsaConfig mustUnderstand="NONE" version="200508" action="http://ws.mb.validator.gazelle.ihe.net/ModelBasedValidationWS/validateDocument"/>
                        <con:wsrmConfig version="1.2"/>
                    </con:request>
                </con:config>
            </con:testStep>
            <con:testStep type="request" id="069da93c-d512-4d1b-954c-bd87c946571b" name="validateDocumentwithoutDocument">
                <con:settings/>
                <con:config xsi:type="con:RequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
                    <con:interface>ModelBasedValidationWSServiceSoapBinding</con:interface>
                    <con:operation>validateDocument</con:operation>
                    <con:request name="validateDocumentwithoutDocument" outgoingWss="" incomingWss="" timeout="" sslKeystore="" useWsAddressing="false" useWsReliableMessaging="false" wssPasswordType="" id="bfeb4224-6449-4b99-9918-e67ce364940d">
                        <con:settings>
                            <con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting>
                        </con:settings>
                        <con:encoding>UTF-8</con:encoding>
                        <con:endpoint>${#Project#domain}/chiua-validator-service/ModelBasedValidationWSImpl?wsdl</con:endpoint>
                        <con:request><![CDATA[<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ws="http://ws.mb.validator.gazelle.ihe.net">
   <soapenv:Header/>
   <soapenv:Body>
      <ws:validateDocument>
         <document></document>
         <validator>[CH:IUA]-JWT Token Validator</validator>
      </ws:validateDocument>
   </soapenv:Body>
</soapenv:Envelope>]]></con:request>
                        <con:assertion type="XPath Match" id="10517b4d-09ea-40b0-a664-debebc7946d3" name="XPath Match">
                            <con:configuration>
                                <path>declare namespace soap='http://schemas.xmlsoap.org/soap/envelope/';
                                    //soap:Fault/faultstring
                                </path>
                                <content>The Document to validate is null or empty and should not</content>
                                <allowWildcards>false</allowWildcards>
                                <ignoreNamspaceDifferences>false</ignoreNamspaceDifferences>
                                <ignoreComments>false</ignoreComments>
                            </con:configuration>
                        </con:assertion>
                        <con:assertion type="Not SOAP Fault Assertion" id="7dc8e744-c794-4a28-91a8-fa8613e82cd0" name="SOAP Fault"/>
                        <con:credentials>
                            <con:authType>No Authorization</con:authType>
                        </con:credentials>
                        <con:jmsConfig JMSDeliveryMode="PERSISTENT"/>
                        <con:jmsPropertyConfig/>
                        <con:wsaConfig mustUnderstand="NONE" version="200508" action="http://ws.mb.validator.gazelle.ihe.net/ModelBasedValidationWS/validateDocument"/>
                        <con:wsrmConfig version="1.2"/>
                    </con:request>
                </con:config>
            </con:testStep>
            <con:testStep type="request" id="84e23817-3eeb-4ab4-ae84-ff627192470f" name="validateDocumentUnknownValidator">
                <con:settings/>
                <con:config xsi:type="con:RequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
                    <con:interface>ModelBasedValidationWSServiceSoapBinding</con:interface>
                    <con:operation>validateDocument</con:operation>
                    <con:request name="validateDocumentUnknownValidator" outgoingWss="" incomingWss="" timeout="" sslKeystore="" useWsAddressing="false" useWsReliableMessaging="false" wssPasswordType="" id="bfeb4224-6449-4b99-9918-e67ce364940d">
                        <con:settings>
                            <con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting>
                        </con:settings>
                        <con:encoding>UTF-8</con:encoding>
                        <con:endpoint>${#Project#domain}/chiua-validator-service/ModelBasedValidationWSImpl?wsdl</con:endpoint>
                        <con:request><![CDATA[<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ws="http://ws.mb.validator.gazelle.ihe.net">
   <soapenv:Header/>
   <soapenv:Body>
      <ws:validateDocument>
         <!--Optional:-->
         <document>Tarte aux pommes
audience</document>
         <!--Optional:-->
         <validator>Test aux pommes</validator>
      </ws:validateDocument>
   </soapenv:Body>
</soapenv:Envelope>]]></con:request>
                        <con:assertion type="XPath Match" id="10517b4d-09ea-40b0-a664-debebc7946d3" name="XPath Match">
                            <con:configuration>
                                <path>declare namespace soap='http://schemas.xmlsoap.org/soap/envelope/';
                                    //soap:Fault/faultstring
                                </path>
                                <content>Unknown validator Test aux pommes</content>
                                <allowWildcards>false</allowWildcards>
                                <ignoreNamspaceDifferences>false</ignoreNamspaceDifferences>
                                <ignoreComments>false</ignoreComments>
                            </con:configuration>
                        </con:assertion>
                        <con:assertion type="Not SOAP Fault Assertion" id="7dc8e744-c794-4a28-91a8-fa8613e82cd0" name="SOAP Fault"/>
                        <con:credentials>
                            <con:authType>No Authorization</con:authType>
                        </con:credentials>
                        <con:jmsConfig JMSDeliveryMode="PERSISTENT"/>
                        <con:jmsPropertyConfig/>
                        <con:wsaConfig mustUnderstand="NONE" version="200508" action="http://ws.mb.validator.gazelle.ihe.net/ModelBasedValidationWS/validateDocument"/>
                        <con:wsrmConfig version="1.2"/>
                    </con:request>
                </con:config>
            </con:testStep>
            <con:testStep type="request" id="a3f5c72f-1f00-4f59-9af1-c1965674f270" name="validateDocumentUnknownAudience">
                <con:settings/>
                <con:config xsi:type="con:RequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
                    <con:interface>ModelBasedValidationWSServiceSoapBinding</con:interface>
                    <con:operation>validateDocument</con:operation>
                    <con:request name="validateDocumentUnknownAudience" outgoingWss="" incomingWss="" timeout="" sslKeystore="" useWsAddressing="false" useWsReliableMessaging="false" wssPasswordType="" id="bfeb4224-6449-4b99-9918-e67ce364940d">
                        <con:settings>
                            <con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting>
                        </con:settings>
                        <con:encoding>UTF-8</con:encoding>
                        <con:endpoint>${#Project#domain}/chiua-validator-service/ModelBasedValidationWSImpl?wsdl</con:endpoint>
                        <con:request><![CDATA[<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ws="http://ws.mb.validator.gazelle.ihe.net">
   <soapenv:Header/>
   <soapenv:Body>
      <ws:validateDocument>
         <!--Optional:-->
         <document>Tarte aux pommes
Pommes</document>
         <!--Optional:-->
         <validator>[CH:IUA]-JWT Token Validator</validator>
      </ws:validateDocument>
   </soapenv:Body>
</soapenv:Envelope>]]></con:request>
                        <con:assertion type="SOAP Fault Assertion" id="0205d522-5860-4e0a-befb-9d028a26d97f" name="Not SOAP Fault"/>
                        <con:assertion type="XPath Match" id="10517b4d-09ea-40b0-a664-debebc7946d3" name="XPath Match" disabled="true">
                            <con:configuration>
                                <path>declare namespace soap='http://schemas.xmlsoap.org/soap/envelope/';
                                    declare namespace ns2='http://ws.mb.validator.gazelle.ihe.net';
                                    //ns2:validateDocumentResponse/DetailedResult
                                </path>
                                <content><![CDATA[
                                    <detailedResult><DocumentValidXSD><Result>PASSED</Result></DocumentValidXSD><DocumentWellFormed><Result>PASSED</Result></DocumentWellFormed><MDAValidation><Note><Test>rmim026</Test><Location>/ClinicalDocument</Location><Description>if regionOfInterest is target of a renderMultimedia then it shall have exactly one ObservationMedia and not an ExternalObservation (RMIM-026)</Description><Identifiant>cdabasic-ClinicalDocumentSpec-rmim026</Identifiant><assertion idScheme=RMIM assertionId=RMIM-026/><Type>Context</Type></Note><Note><Test>test_IDs</Test><Location>/ClinicalDocument</Location><Description>Success: Found all IDs referenced</Description></Note>Result>PASSED</Result></MDAValidation><ValidationResultsOverview><ValidationDate>2020, 07 26</ValidationDate><ValidationTime>10:02:35</ValidationTime><ValidationServiceName>HL7 - CDA Release 2 (strict)</ValidationServiceName><ValidationEngine>Gazelle CDA Validation</ValidationEngine><ValidationTestResult>PASSED</ValidationTestResult><ValidationServiceVersion>N/A</ValidationServiceVersion><ValidationEngineVersion>2.2.2</ValidationEngineVersion></ValidationResultsOverview></detailedResult>]]></content>
                                <allowWildcards>false</allowWildcards>
                                <ignoreNamspaceDifferences>false</ignoreNamspaceDifferences>
                                <ignoreComments>false</ignoreComments>
                            </con:configuration>
                        </con:assertion>
                        <con:credentials>
                            <con:authType>No Authorization</con:authType>
                        </con:credentials>
                        <con:jmsConfig JMSDeliveryMode="PERSISTENT"/>
                        <con:jmsPropertyConfig/>
                        <con:wsaConfig mustUnderstand="NONE" version="200508" action="http://ws.mb.validator.gazelle.ihe.net/ModelBasedValidationWS/validateDocument"/>
                        <con:wsrmConfig version="1.2"/>
                    </con:request>
                </con:config>
            </con:testStep>
            <con:properties/>
        </con:testCase>
        <con:properties/>
    </con:testSuite>
    <con:properties>
        <con:property>
            <con:name>domain</con:name>
            <con:value>http://localhost:8680</con:value>
        </con:property>
    </con:properties>
    <con:wssContainer/>
    <con:oAuth2ProfileContainer/>
    <con:oAuth1ProfileContainer/>
    <con:sensitiveInformation/>
</con:soapui-project>